
hvmpy_ServerCode = '200'
hvmpy_MIME = 'text/html'
hvmpy_response = "<div></div>"




import threading

# This is the function that we'll run in multiple threads
def print_numbers(limit):
    global hvmpy_response
    for i in range(limit):
       hvmpy_response += "<div> Thread " + threading.current_thread().name + ": "+str(i)+"</div>"
       print(f'Thread {threading.current_thread().name}: {i}')

# Number of threads you want to create
number_of_threads = 3

# Creating and starting threads
threads = []
for i in range(number_of_threads):
    thread = threading.Thread(target=print_numbers, args=(10,), name=f'Thread-{i+1}')
    thread.start()
    threads.append(thread)

# Joining threads to ensure each completes before the main script ends
for thread in threads:
    thread.join()

print("All threads have finished execution.")