hvmpy_response = "ok py url=" + hvmpy_url + " post=" + hvmpy_post_get +" cookies=" + hvmpy_cookies_get + hvmpy_headers_get+  hvmpy_Ipuser_get
hvmpy_ServerCode = '200'
hvmpy_MIME = 'text/html'

hvmpy_response = """
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>HVMPY Web Server Dev</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <style>
    body {
      background-color: #fff;
      color: #173647;
    }
    header, footer {
      background-color: #173647;
      color: #fff;
    }
     footer {
      background-color: #1e2022;
    }
    
    .logo {
      max-width: 100px; /* Adjust as needed */
      height: auto;
    }
    .header-name {
      text-align: lef;
    }
    .content-examples {
border: 1px solid black;
    }
    

    
    .left-box {
  border-right: none;
  
}

.right-box {
 
}
    .content-examples a {
      color: #107ef4;
    }
    .footer-link {
      color: #fff;
      opacity: 0.5;
    }
    .footer-link:hover {
      opacity: 1;
      text-decoration: none;
    }
    .imgheander{
    padding: 10px;
    }
.content{
    background: url(./pattern_gears.svg) no-repeat center;
    background-size: cover;
}
  </style>
</head>
<body>
  <header class="container-fluid py-3 ">

  <div class="container">
    <div class="row">
      <div class="imgheander d-flex align-items-center">
        <img src=".\logo.png" alt="HVMPY" class="logo">
      </div>
      <div class="col-md-6 header-name d-flex align-items-center justify-content-start">
        <h1> HVMPY Web Server Dev</h1>
      </div>
    </div>
    </div>
  </header>
  
  <main class="content">
  <main class="container my-5">
    <div class="row">
      <div class="col-md-6 content-examples left-box">
      <h2 class="text-center">Applicable directive in hvmpy</h2>
     
      
        
<table class="table content-table table-hover table-striped table-bordered">
  <thead>
    <tr>
      <th>functions</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
  
    <!-- Table rows will go here -->
    <tr>
      <td>echo("")</td>
      <td>Same as php echo function for output to the browser. examples echo("&lt;div&gt;Hello World&lt;/div&gt;</div>")</td>
    </tr>
    
    <tr>
      <td>SetCookie("","",50,"/") </td>
      <td>Same as php setcookie function To add cookies
     SetCookie("World","hello",600)
      </td>
    </tr>
    
    
    <tr>
      <td>GetCookie() </td>
      <td>
      Returns all cookies.
      </td>
    </tr>
    
    <tr>
      <td>H_Post["key"] </td>
      <td>
      Same as php $_POST variable. parameters.
      </td>
    </tr>
  
  
    <tr>
      <td>H_FILES["key"] </td>
      <td>
      Same as php $_FILES['userfile']['tmp_name'] variable.  parameters.
      </td>
    </tr>
  
    <tr>
      <td>GetUrl() </td>
      <td>
      Returns all Url.
      </td>
    </tr>
    
    <tr>
      <td>SetMIME("text/html") </td>
      <td>
      Same as php setcookie function To add cookies
      "TestCookie", $value
      </td>
    </tr>
    
    
    <tr>
      <td>SetServerCode(200) </td>
      <td>
        Сustom Server Code. 
      </td>
    </tr>
    
    <tr>
      <td>SetUrl() </td>
      <td>
        Needed for redirection to another page.
      </td>
    </tr>
    
    
    
  </tbody>
  
</table>

 
<table class="table content-table table-hover table-striped table-bordered">
  <thead>
    <tr>
      <th>Variable</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
  
    <!-- Table rows will go here --> 
    
    
    <tr>
      <td>hvmpy_ServerCode</td>
      <td>default 200</td>
    </tr>
    <tr>
      <td>hvmpy_MIME</td>
      <td>default text/html</td>
    </tr>
    <tr>
      <td>hvmpy_response</td>
      <td>examples hvmpy_response = "&lt;div&gt;&lt;/div&gt;" default response =  ""</td>
    </tr>
    <tr>
      <td>hvmpy_post_get</td>
      <td>stored in the hvmpy_post_get variable post requests</td>
    </tr>
    
     <tr>
      <td>hvmpy_files_post_get</td>
      <td>stored in the hvmpy_files_post_get variable, requests with files via "post" in the "Base64" format</td>
    </tr>
    
    <tr>
      <td>hvmpy_url</td>
      <td>using the "url" variable you can get the url or make a redirect, you just need to replace the Url</td>
    </tr>
    <tr>
      <td>hvmpy_cookies_get</td>
      <td>receives cookies</td>
    </tr>
    
     <tr>
      <td>hvmpy_headers </td>
      <td>examples hvmpy_headers="SetCookie: test=ok; path=/; max-age=1000 \n\r"</td>
    </tr>
    
    <tr>
      <td>hvmpy_headers_get  </td>
      <td>All headers are stored in hvmpy_headers_get</td>
    </tr>
    
    <tr>
      <td>hvmpy_Ipuser_get </td>
      <td>the user's IP address is stored in hvmpy_Ipuser_get</td>
    </tr>
    
  </tbody>
</table>
      </div>
      <div class="col-md-6 content-examples right-box">
      <h2 class="text-center"> page with examples</h2>
        <p><a href="/variable">variable.py</a></p>
        <p><a href="/asyncio">asyncio.py Not fully supported.</a></p>
        <p><a href="/numpy">numpy.py</a></p>
        <p><a href="/threading">threading.py</a></p>       
      </div>
    </div>
  </main>
 </main>
  <footer class="container-fluid py-3">
  <div class="container">
    <div class=" row">
      <div class="col-md-6">
        <p class="footer-link">&copy; HVMPY-2024</p>
      </div>
      <div class="col-md-6 text-right">
        <a href="https://www.reddit.com/user/vlad_ma/" class="footer-link">Contacts</a> | <a href="#" class="footer-link">License</a>
      </div>
    </div>
    </div>
  </footer>

  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>


"""